// Copyright 2018-2021 Impulse Neiry. All Rights Reserved.

#pragma once

#include "ccPlatforms.h"

// Linkage macro.
#if CC_PLATFORM_WIN
#ifdef CL_DYNAMIC // in case we want a dynamic library
#ifdef CL_EXPORT
#define CL_DLL __declspec(dllexport)
#else
#define CL_DLL __declspec(dllimport)
#endif
#else // if static linkage, we don't export or import anything
#define CL_DLL
#endif
#else // !CC_PLATFORM_WIN
#define CL_DLL
#endif